package com.seatel.mobilehall.ui.home.viewholder

import android.content.Context
import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.seatel.mobilehall.ui.home.adapter.AdapterParentOrder
import com.seatel.mobilehall.ui.home.interactor.MyOrderInteractor
import com.seatel.mobilehall.ui.home.model.MyOrderListModel
import kotlinx.android.synthetic.main.item_my_order_mian_view.view.*

class MyOrderMainRowViewHolder(private var mContext: Context, itemView: View) :
    RecyclerView.ViewHolder(itemView) {
    fun onBind(item1: MyOrderListModel, isHistory: Boolean, mView: MyOrderInteractor.View) {
        val myListCartAdapter = AdapterParentOrder(mContext, item1, isHistory, mView)
        itemView.recycler_view_order.adapter = myListCartAdapter
        itemView.recycler_view_order.layoutManager = LinearLayoutManager(mContext)
    }

}